Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006962 [DCSS] Patches minor N/A 2013-04-25 00:08 2013-05-03 07:51
Reporter infiniplex View Status public  
Assigned To mumra
Priority normal Resolution done  
Status resolved   Product Branch 0.13 ancient branch
Summary 0006962: Converted connecting rooms from layout_honeycomb to C++
Description This patch:
1. Converts the part of layout_honeycombs that connects the separate rooms to a C++-implemented function named dgn_connect_adjacent_rooms.
2. Adds a new iterator. random_rectangle_iterator iterates through the cells in a rectangle, but in a random order.
3. Modifies layout_honeycomb to use the new function, generate slightly large maps more often, never generate doors in Snake, and find the biggest unconnected region with the zonify function instead of fill_disconnected (which just found the closest).
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Added-dgn_connect_adjacent_rooms-LUA-function.patch [^] (9,503 bytes) 2013-04-25 00:08 [Show Content]
? file icon 0001-Converted-layout_des-door-adding-function-to-C.patch [^] (8,604 bytes) 2013-04-28 23:34 [Show Content]

- Relationships

-  Notes
(0022491)
infiniplex (reporter)
2013-04-28 23:38

And here is another related patch:
1. Converts the door-adding function in layout_dis in layouts.des to C++. It depends on the random_rectangle_iterator iterator from the first patch.
2. Modifies the layout_dis layout to use this function. It also gives layout_dis type "rooms" (it previously had no type) and slightly changes the number of possible door additions to consider (I am hoping this will cut down on validate block failures).
(0022504)
mumra (developer)
2013-04-30 08:35

Thanks, I wanted to use this in another layout. I forgot to comment the first patch was pushed a few days ago.

I slightly refactored the code to avoid repetition, and also tweaked layout_honeycomb a little (to use the new check_empty parameter which now exists on connect_adjacent_rooms). I hope this is ok.
(0022529)
infiniplex (reporter)
2013-05-03 07:51

Definitely an improvement. Thank you!

Sorry for the slow reply. I couldn't test it until I finished my other layout stuff (which used the same files).

- Issue History
Date Modified Username Field Change
2013-04-25 00:08 infiniplex New Issue
2013-04-25 00:08 infiniplex File Added: 0001-Added-dgn_connect_adjacent_rooms-LUA-function.patch
2013-04-28 23:34 infiniplex File Added: 0001-Converted-layout_des-door-adding-function-to-C.patch
2013-04-28 23:38 infiniplex Note Added: 0022491
2013-04-30 08:35 mumra Note Added: 0022504
2013-04-30 09:01 mumra Status new => resolved
2013-04-30 09:01 mumra Fixed in Branch => 0.13 development branch
2013-04-30 09:01 mumra Resolution open => done
2013-04-30 09:01 mumra Assigned To => mumra
2013-05-03 07:51 infiniplex Note Added: 0022529


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker